MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029285Open CASCADE[OCCT] OCCT:Visualizationpublic2017-11-02 09:572018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029285: Visualization, V3d_View::UpdateLights() - eliminate implicit redraw
DescriptionV3d_View::UpdateLights() implicitly redraws the viewer which is does not follow no-implicit-updates strategy (see 0028088, 0028407).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0029658closedbugmaster Open CASCADE Samples - light is not updated while moving mouse within Viewer3d MFC sample 
child of 0028088closedkgv Open CASCADE Visualization, AIS_InteractiveContext - drop default value for Update Viewer parameter 

-  Notes
(0071924)
git (administrator)
2017-11-02 10:06

Branch CR29285 has been created by kgv.

SHA-1: 885319f14bf783a682e48f3c8d9ddf2d63d4cd6d


Detailed log of new commits:

Author: kgv
Date: Thu Nov 2 10:04:39 2017 +0300

    0029285: Visualization, V3d_View::UpdateLights() - eliminate implicit redraw
(0071940)
kgv (developer)
2017-11-02 14:39

Please take the patch.
(0071980)
bugmaster (administrator)
2017-11-03 13:13
edited on: 2017-11-08 10:09

Combination -
OCCT branch : CR29285 SHA-1: 885319f14bf783a682e48f3c8d9ddf2d63d4cd6d
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Linux:
OCCT
Total CPU difference: 20784.440000000443 / 21041.690000000428 [-1.22%]
Products:
Total CPU difference: 7951.340000000088 / 7954.05000000009 [-0.03%]
Windows:
OCCT
Total CPU difference: 18656.689993398537 / 18626.2697983984 [+0.16%]
Products
Total CPU difference: 7948.625352399962 / 7962.150639099937 [-0.17%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0072152)
git (administrator)
2017-11-10 12:15

Branch CR29285 has been deleted by kgv.

SHA-1: 885319f14bf783a682e48f3c8d9ddf2d63d4cd6d

- Related Changesets
occt: master 761d8807
Timestamp: 2017-11-02 07:04:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029285: Visualization, V3d_View::UpdateLights() - eliminate implicit redraw
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-02 09:57 kgv New Issue
2017-11-02 09:57 kgv Assigned To => kgv
2017-11-02 10:04 kgv Product Version => 7.2.0
2017-11-02 10:04 kgv Summary Visualization. V3d_View::UpdateLights() - eliminate implicit redraw => Visualization, V3d_View::UpdateLights() - eliminate implicit redraw
2017-11-02 10:06 git Note Added: 0071924
2017-11-02 10:06 kgv Relationship added child of 0028088
2017-11-02 10:07 kgv Relationship added related to 0029283
2017-11-02 14:39 kgv Note Added: 0071940
2017-11-02 14:39 kgv Assigned To kgv => bugmaster
2017-11-02 14:39 kgv Status new => resolved
2017-11-02 14:39 kgv Status resolved => reviewed
2017-11-03 13:13 bugmaster Test case number => Not required
2017-11-03 13:13 bugmaster Note Added: 0071980
2017-11-03 13:13 bugmaster Status reviewed => tested
2017-11-08 10:09 bugmaster Note Edited: 0071980 View Revisions
2017-11-10 10:13 bugmaster Changeset attached => occt master 761d8807
2017-11-10 10:13 bugmaster Status tested => verified
2017-11-10 10:13 bugmaster Resolution open => fixed
2017-11-10 12:15 git Note Added: 0072152
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-04-08 12:42 kgv Relationship added parent of 0029658
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker